Skip to main content

API Documentation: Get Preferred Name, Pronouns, Pronunciation

Endpoint

URL:

db.lilacdancecenter.com/api/get_preferred_name

Method:
GET


Query Parameters

Parameter Type Description
first_name String The dancer's first name. Required.
last_name String The dancer's last name. Required.

Example Request:

https://db.lilacdancecenter.com/api/get_preferred_name?first_name=John&last_name=Doe

Response

The endpoint returns a JSON object containing the dancer's preferred name, pronouns, and pronunciation, along within their profile link if the user had set it to public

JSON Response Format

{
  "Matthew Emerick":
    {
      "preferred_name":"Matt",
      "pronunciation":"", # empty string if not set
      "pronouns":"He/Him/His",
      "profile_link":"https://db.lilacdancecenter.com/profiles/1"
      }
}